Get secure document MIME types
curl --request GET \
--url https://api-stage.karmacheck.io/document/secure/mimetypes \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-stage.karmacheck.io/document/secure/mimetypes"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-stage.karmacheck.io/document/secure/mimetypes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
"application/epub+zip",
"application/msword",
"application/pdf",
"application/rtf",
"application/vnd.apple.keynote",
"application/vnd.apple.numbers",
"application/vnd.apple.pages",
"application/vnd.lotus-wordpro",
"application/vnd.ms-excel",
"application/vnd.ms-excel.addin.macroenabled.12",
"application/vnd.ms-excel.sheet.binary.macroenabled.12",
"application/vnd.ms-excel.sheet.macroenabled.12",
"application/vnd.ms-excel.template.macroenabled.12",
"application/vnd.ms-powerpoint",
"application/vnd.ms-powerpoint.addin.macroenabled.12",
"application/vnd.ms-powerpoint.presentation.macroenabled.12",
"application/vnd.ms-powerpoint.slideshow.macroenabled.12",
"application/vnd.ms-powerpoint.template.macroenabled.12",
"application/vnd.ms-word.document.macroenabled.12",
"application/vnd.ms-word.template.macroenabled.12",
"application/vnd.oasis.opendocument.presentation",
"application/vnd.oasis.opendocument.spreadsheet",
"application/vnd.oasis.opendocument.text",
"application/vnd.openofficeorg.extension",
"application/vnd.openxmlformats-officedocument.presentationml.presentation",
"application/vnd.openxmlformats-officedocument.presentationml.slideshow",
"application/vnd.openxmlformats-officedocument.presentationml.template",
"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet",
"application/vnd.openxmlformats-officedocument.wordprocessingml.document",
"application/vnd.openxmlformats-officedocument.wordprocessingml.template",
"application/vnd.pagemaker",
"application/vnd.quark.quarkxpress",
"application/vnd.rn-realmedia",
"application/vnd.visio",
"application/vnd.wordperfect",
"application/x-7z-compressed",
"application/x-mswrite",
"application/x-rar-compressed",
"application/xhtml+xml",
"application/zip",
"image/avif",
"image/bmp",
"image/cgm",
"image/g3fax",
"image/gif",
"image/heic",
"image/heif",
"image/hej2k",
"image/ief",
"image/jp2",
"image/jpeg",
"image/jpeg2000",
"image/jpm",
"image/jpx",
"image/ktx",
"image/ktx2",
"image/pjpeg",
"image/png",
"image/svg+xml",
"image/tiff",
"image/vnd.adobe.photoshop",
"image/vnd.djvu",
"image/vnd.dwg",
"image/vnd.dxf",
"image/vnd.microsoft.icon",
"image/vnd.wap.wbmp",
"image/vnd.xiff",
"image/webp",
"image/x-cmu-raster",
"image/x-cmx",
"image/x-icon",
"image/x-portable-anymap",
"image/x-portable-bitmap",
"image/x-portable-graymap",
"image/x-portable-pixmap",
"image/x-rgb",
"image/x-tga",
"image/x-xbitmap",
"image/x-xpixmap",
"image/x-xwindowdump",
"image/xbm",
"text/csv",
"text/html",
"text/plain"
]
}Secure Documents
Get secure document MIME types
Gets acceptable MIME types for secure documents.
GET
/
document
/
secure
/
mimetypes
Get secure document MIME types
⌘I